ID:

CVE-2018-18650 (NVD)

- Vulnerability Info (edit)
2018-10-25

An issue was discovered in Xpdf 4.00. XRef::readXRefStream in XRef.cc allows attackers to launch a denial of service (Integer Overflow) via a crafted /Size value in a pdf file, as demonstrated by pdftohtml. This is mainly caused by the program attempting a malloc operation for a large amount of memory.

Products Xpdf
Type Integer Overflow or Wraparound (CWE-190)
First patch - None (likely due to unavailable code)
Links https://exchange.xforce.ibmcloud.com/vulnerabilities/152006
https://forum.xpdfreader.com/viewtopic.php?f=3&t=41219&p=41747#p41747
Annotation

Note:

No patch was assigned yet.